import { IListConfig } from './list-config.model';

export const partnerListConfig: IListConfig = {
  pageTitle: 'مدیریت ارایه‌دهندگان',
  addNewCtaLabel: 'افزودن ارایه‌دهنده',
  emptyPlaceholderTitle: 'ارایه‌دهندگان‌ای یافت نشد',
  emptyPlaceholderDescription: 'برای افزودن ارایه‌دهنده، روی دکمهٔ بالا کلیک کنید.',
  columns: [
    { field: 'name', header: 'عنوان' },
    { field: 'code', header: 'کد' },
    {
      field: 'licenses',
      header: 'تعداد لایسنس‌ها',
      customDataModel(item: any) {
        return item.licenses || 0;
      },
    },
    {
      field: 'account_quota',
      header: 'تعداد کاربرهای خریداری شده',
      customDataModel(item: any) {
        return item.account_quota || 0;
      },
    },
    {
      field: 'license_renew',
      header: 'تعداد لایسنس تمدیدی',
      customDataModel(item: any) {
        return item.license_renew || 0;
      },
    },
    {
      field: 'status',
      header: 'وضعیت',
      type: 'nested',
      variant: 'tag',
      nestedOption: {
        path: 'status.translate',
      },
    },
  ],
};
